/* eslint-disable no-console */
import Tag from "@models/Tag";
import { APIPath, getBackendAPI } from "./backend";

class TagApi {
  static getTags = async (): Promise<Tag[]> => {
    try {
      return await getBackendAPI<Tag[]>({ path: APIPath.TAGS });
    } catch (err) {
      console.error(err);
      throw err;
    }
  };
}

export default TagApi;
